ontology.avatar.oriented

## Class MarioAvatar

- java.lang.Object
- - core.VGDLSprite
  - - ontology.avatar.MovingAvatar
    - - ontology.avatar.oriented.OrientedAvatar
      - - ontology.avatar.oriented.InertialAvatar
        - - ontology.avatar.oriented.MarioAvatar

-     public class MarioAvatar
      extends InertialAvatar

  Created with IntelliJ IDEA. User: Diego Date: 22/10/13 Time: 18:12 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `airsteering`

    - ### Fields inherited from class ontology.avatar.MovingAvatar

      `actions, alternate_keys, hasMoved, player`

    - ### Fields inherited from class core.VGDLSprite

      `bucket, bucketSharp, color, cooldown, draw_arrow, image, img, invisible, is_avatar, is_from_avatar, is_npc, is_oriented, is_resource, is_static, is_stochastic, itypes, lastmove, lastrect, mass, name, only_active, orientation, physics, physicstype, physicstype_id, portal, rect, resources, shrinkfactor, singleton, speed, spriteID, strength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MarioAvatar()`
    `MarioAvatar(Vector2d position, java.awt.Dimension size, SpriteContent cnt)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VGDLSprite` | `copy()` Creates a copy of this sprite.
    `void` | `copyTo(VGDLSprite target)` Copies the attributes of this object to the one passed as parameter.
    `protected void` | `loadDefaults()` Loads the default values for this sprite.

    - ### Methods inherited from class ontology.avatar.oriented.OrientedAvatar

      `update`

    - ### Methods inherited from class ontology.avatar.MovingAvatar

      `performActiveMovement, postProcess`

    - ### Methods inherited from class core.VGDLSprite

      `_draw, _drawImage, _drawOriented, _drawResources, _updatePos, _velocity, applyMovement, draw, getAmountResource, getPosition, getType, init, lastDirection, loadImage, modifyResource, parseParameters, setFromAvatar, setRect, setRect, toString, updatePassive`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### airsteering

          public boolean airsteering

  - ### Constructor Detail

    - #### MarioAvatar

          public MarioAvatar()

    - #### MarioAvatar

          public MarioAvatar(Vector2d position,
                     java.awt.Dimension size,
                     SpriteContent cnt)

  - ### Method Detail

    - #### loadDefaults

          protected void loadDefaults()

      Description copied from class: `VGDLSprite`
      Loads the default values for this sprite.
      Overrides:
        `loadDefaults` in class `InertialAvatar`

    - #### copy

          public VGDLSprite copy()

      Description copied from class: `VGDLSprite`
      Creates a copy of this sprite. To be overwritten in each subclass.
      Overrides:
        `copy` in class `InertialAvatar`
      Returns:
        a copy of this sprite.

    - #### copyTo

          public void copyTo(VGDLSprite target)

      Description copied from class: `VGDLSprite`
      Copies the attributes of this object to the one passed as parameter.
      Overrides:
        `copyTo` in class `InertialAvatar`
      Parameters:
        `target` - the sprite to copy to.